# -----------------------------------------------------------------------------
#
# Copyright (c) 2018 Guichet Entreprises
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#
# -----------------------------------------------------------------------------
# Conf proposition for live server
# -----------------------------------------------------------------------------
# {{main_root_name|upper}} is supposed to be defined
# Define {{main_root_name|upper}} "{{main_root_path}}"

<Directory "/">
    Options None
    AllowOverride None
    Require all granted
</Directory>

{% for entrie in entries -%}
# -----------------------------------------------------------------------------
{% raw %}<Directory "${{% endraw %}{{main_root_name|upper}}{% raw %}}/{% endraw %}{{entrie.folder}}">
{% for page in entrie.pages -%}
{%- if page.name == "index" %}    DirectoryIndex /{{page.filename}}{%- endif -%}
{%- if page.name|is_code_error %}    ErrorDocument {{page.name}} /{{page.filename}}{%- endif  %}
{% endfor -%}
</Directory>
# -----------------------------------------------------------------------------

{% endfor %}

{%- if redirections is defined %}
# -----------------------------------------------------------------------------
# Redirection
# -----------------------------------------------------------------------------
{% for redirect in redirections -%}
Redirect {% if status in redirect -%}{{redirect.status}} {% endif -%} {{redirect.from}} {{redirect.to}}
{% endfor -%}
{% endif  -%}